Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040044
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 03. Procurement managementmajoralways2019-01-28 12:122019-03-28 14:56
ReporterngarciaView Statuspublic 
Assigned Tomarkmm82 
PriorityurgentResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revision73454ec69b17
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040044: Negative quantity in Create lines from Receipt in Purchase Invoice window if the order was previously invoiced and received

DescriptionNegative quantity in Create lines from Receipt in Purchase Invoice window if the order was previously invoiced and received
Steps To ReproduceAs group admin role:
   Create a new product and set a purchase price to it
   Create a new purchase order
   Add 1000 units of the product and book it
   Create three purchase invoices of 300 units each and complete them
   Create a goods receipt, select previously created purchase order and add 950 units and complete it

   Create a new purchase invoice (in order to invoice the pending 50 units)
   Create Lines From Receipt and check -1900 units are pending to be invoiced
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0109341)
markmm82 (developer)
2019-01-31 00:01

Test Plan:
As group admin role:
   Create a new product and set a purchase price to it
   Create a new purchase order
   Add 1000 units of the product and book it
   Create three purchase invoices of 300 units each and complete them
   Create a goods receipt, select previously created purchase order and add 950 units and complete it

   Create a new purchase invoice (in order to invoice the pending 50 units)
   Create Lines From Receipt and check 50 units are pending to be invoiced
(0109892)
hgbot (developer)
2019-02-18 09:22

Repository: erp/devel/pi
Changeset: 73454ec69b17adaacfd0a017205051a61bffd865
Author: Mark <markmm82 <at> gmail.com>
Date: Wed Jan 30 20:00:19 2019 -0300
URL: http://code.openbravo.com/erp/devel/pi/rev/73454ec69b17adaacfd0a017205051a61bffd865 [^]

Fixes issue 40044: Negative quantity in Create lines from Receipt in Purchase
Invoice window if the order was previously invoiced and received.

To calculate the pending to invoice movement quantity was needed to subtract the
sum of the already invoiced quantity instead of the matched quantity as it is the
total of the received quantity.

---
M src/org/openbravo/common/datasource/InOutLinePEHQLTransformer.java
---
(0109893)
Sandrahuguet (developer)
2019-02-18 09:23

Code review + testing OK
(0110821)
hudsonbot (developer)
2019-03-28 14:56

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-01-28 12:12 ngarcia New Issue
2019-01-28 12:12 ngarcia Assigned To => Triage Finance
2019-01-28 12:12 ngarcia Modules => Core
2019-01-28 12:12 ngarcia Triggers an Emergency Pack => No
2019-01-28 12:16 ngarcia Issue Monitored: networkb
2019-01-28 15:26 Sandrahuguet Assigned To Triage Finance => markmm82
2019-01-28 17:16 markmm82 Status new => scheduled
2019-01-31 00:01 markmm82 Note Added: 0109341
2019-02-18 09:22 hgbot Checkin
2019-02-18 09:22 hgbot Note Added: 0109892
2019-02-18 09:22 hgbot Status scheduled => resolved
2019-02-18 09:22 hgbot Resolution open => fixed
2019-02-18 09:22 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/73454ec69b17adaacfd0a017205051a61bffd865 [^]
2019-02-18 09:23 Sandrahuguet Review Assigned To => Sandrahuguet
2019-02-18 09:23 Sandrahuguet Note Added: 0109893
2019-02-18 09:23 Sandrahuguet Status resolved => closed
2019-02-18 09:23 Sandrahuguet Fixed in Version => 3.0PR19Q2
2019-03-28 14:56 hudsonbot Checkin
2019-03-28 14:56 hudsonbot Note Added: 0110821


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker